| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Attributes | Properties

# IG::Num::OptimizationDataBase Class Reference

Base class for holding information about optimization data and algorithm parameters. More...

Inheritance diagram for IG::Num::OptimizationDataBase:
[legend]
Collaboration diagram for IG::Num::OptimizationDataBase:
[legend]

List of all members.

## Protected Attributes
int | _numParameters = -1
int | _numObjectives = -1
int | _numConstraints = -1
int | _numEqualityConstraints = -1
bool | _copyReferences = false
IVector | _initialGuess
IVector | _initialStep
double | _tolerance = 0.0
int | _maxIterations = 0
int | _maxAnalyses = 0
## Properties
int | NumParameters`[get, set]`
| Number of parameters.
int | NumObjectives`[get, set]`
| Number of objective functions (normally 1 for this type, but can be 0).
int | NumConstraints`[get, set]`
| Number of constraints.
int | NumEqualityConstraints`[get, set]`
| Number of equality constraints.
virtual bool | CopyReferences`[get, set]`
| Indicates whether just references can be copied when setting optimization parameters or results. If false then deep copy is always be performed. Default is false.
IVector | InitialGuess`[get, set]`
| Gets or sets initial guess used in optimization.
IVector | InitialStep`[get, set]`
| Gets or sets initial step used in optimization.
double | Tolerance`[get, set]`
| Gets or sets the main tolerance (its exact meaning depends on the algorithm in use).
int | MaxIterations`[get, set]`
| Gets or sets maximal number of iterations.
int | MaxAnalyses`[get, set]`
| Gets or sets maximal number of analyses.

## Detailed Description

Base class for holding information about optimization data and algorithm parameters.

Properties on this kind of classes usually have public getters and setters. It is a habit to protect the whole object inside another class, and access individual components by properties and methods that can be more restrictive. $A Igor Jan08 Jun08;

## Member Data Documentation

int IG::Num::OptimizationDataBase::_numParameters = -1`[protected]`

int IG::Num::OptimizationDataBase::_numObjectives = -1`[protected]`

int IG::Num::OptimizationDataBase::_numConstraints = -1`[protected]`

int IG::Num::OptimizationDataBase::_numEqualityConstraints = -1`[protected]`

bool IG::Num::OptimizationDataBase::_copyReferences = false`[protected]`

IVector IG::Num::OptimizationDataBase::_initialGuess`[protected]`

IVector IG::Num::OptimizationDataBase::_initialStep`[protected]`

double IG::Num::OptimizationDataBase::_tolerance = 0.0`[protected]`

int IG::Num::OptimizationDataBase::_maxIterations = 0`[protected]`

int IG::Num::OptimizationDataBase::_maxAnalyses = 0`[protected]`

## Property Documentation

int IG::Num::OptimizationDataBase::NumParameters`[get, set]`

Number of parameters.

Implements IG::Num::IOptimizationData.

int IG::Num::OptimizationDataBase::NumObjectives`[get, set]`

Number of objective functions (normally 1 for this type, but can be 0).

Implements IG::Num::IOptimizationData.

int IG::Num::OptimizationDataBase::NumConstraints`[get, set]`

Number of constraints.

Implements IG::Num::IOptimizationData.

int IG::Num::OptimizationDataBase::NumEqualityConstraints`[get, set]`

Number of equality constraints.

Implements IG::Num::IOptimizationData.

virtual bool IG::Num::OptimizationDataBase::CopyReferences`[get, set]`

Indicates whether just references can be copied when setting optimization parameters or results. If false then deep copy is always be performed. Default is false.

Implements IG::Num::IOptimizationData.

IVector IG::Num::OptimizationDataBase::InitialGuess`[get, set]`

Gets or sets initial guess used in optimization.

Implements IG::Num::IOptimizationData.

IVector IG::Num::OptimizationDataBase::InitialStep`[get, set]`

Gets or sets initial step used in optimization.

Implements IG::Num::IOptimizationData.

double IG::Num::OptimizationDataBase::Tolerance`[get, set]`

Gets or sets the main tolerance (its exact meaning depends on the algorithm in use).

Implements IG::Num::IOptimizationData.

int IG::Num::OptimizationDataBase::MaxIterations`[get, set]`

Gets or sets maximal number of iterations.

Implements IG::Num::IOptimizationData.

int IG::Num::OptimizationDataBase::MaxAnalyses`[get, set]`

Gets or sets maximal number of analyses.

Implements IG::Num::IOptimizationData.

The documentation for this class was generated from the following file:

- OptimizationInputData.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events